@import url("https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,wght@0,400;0,700;1,600&family=Roboto:wght@400;700&display=swap");

* {
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
}

html {
  font-family: "Nunito Sans", sans-serif;
  font-family: "Roboto", sans-serif;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

img {
  max-width: 100%;
}

.main {
  flex: 1;
}

.container {
  width: 100%;
  max-width: 1024px;
  margin: 32px auto;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.menu {
  display: flex;
  gap: 64px;
}

.circle {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 250px;
  height: 250px;
  border: 1px solid lightgray;
  border-radius: 50%;
  background-color: #fff;
  text-decoration: none;
  font-weight: bold;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  transition: 200ms;
  cursor: pointer;
}

.circle:hover {
  background-color: rgb(71, 29, 71);
  color: white;
  transform: scale(1.2);
}

.heading {
  font-size: 64px;
  text-align: center;
  margin-bottom: 32px;
}

.images {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 8px;
}

.image-container {
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 200ms;
}

.image-container.marvel:hover {
  transform: scale(1.1);
}

.image-container.pokemon:hover {
  transform: scale(2);
}

.images .image-container img {
  height: 100%;
  object-fit: cover;
}

.avatar{
  width: 350px;
  height: 350px;
  transition: 350ms;
  object-fit: cover;  
  border-radius: 4px;
}

.avatar:hover{
  transform: scale(1.2) rotate(360deg) translate(100%, 100%);
}